mxAnimation (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.swing.util
Class mxAnimation

    java.lang.Object
      com.mxgraph.util.mxEventSource
          com.mxgraph.swing.util.mxAnimation

Direct Known Subclasses:
  mxMorphing

    public class mxAnimation

extends mxEventSource

Baseclass for all timer-based animations. Fires mxEvent.DONE when the stopAnimation method is called. Implement updateAnimation for the actual animation or listen to mxEvent.EXECUTE.

Nested Class Summary

Nested classes/interfaces inherited from class com.mxgraph.util.mxEventSource
`mxEventSource.mxIEventListener`

Field Summary
`static int` | `DEFAULT_DELAY` Specifies the default delay for animations in ms.
`protected int` | `delay` Default is DEFAULT_DELAY.
`protected Timer` | `timer` Time instance that is used for timing the animation.

Fields inherited from class com.mxgraph.util.mxEventSource
`eventListeners, eventsEnabled, eventSource`

Constructor Summary
`mxAnimation()` Constructs a new animation instance with the given repaint delay.
`mxAnimation(int delay)` Constructs a new animation instance with the given repaint delay.

Method Summary
`int` | `getDelay()` Returns the delay for the animation.
`void` | `setDelay(int value)` Sets the delay for the animation.
`void` | `startAnimation()` Starts the animation by repeatedly invoking updateAnimation.
`void` | `stopAnimation()` Stops the animation by deleting the timer and fires mxEvent.DONE.
`void` | `updateAnimation()` Hook for subclassers to implement the animation.

Methods inherited from class com.mxgraph.util.mxEventSource
`addListener, fireEvent, fireEvent, getEventSource, isEventsEnabled, removeListener, removeListener, setEventsEnabled, setEventSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DELAY

    public static int DEFAULT_DELAY

  Specifies the default delay for animations in ms. Default is 20.

### delay

    protected int delay

  Default is DEFAULT_DELAY.

### timer

    protected Timer timer

  Time instance that is used for timing the animation.

Constructor Detail

### mxAnimation

    public mxAnimation()

  Constructs a new animation instance with the given repaint delay.

### mxAnimation

    public mxAnimation(int delay)

  Constructs a new animation instance with the given repaint delay.

Method Detail

### getDelay

    public int getDelay()

  Returns the delay for the animation.

### setDelay

    public void setDelay(int value)

  Sets the delay for the animation.

### startAnimation

    public void startAnimation()

  Starts the animation by repeatedly invoking updateAnimation.

### updateAnimation

    public void updateAnimation()

  Hook for subclassers to implement the animation. Invoke stopAnimation when finished, startAnimation to resume. This is called whenever the timer fires and fires an mxEvent.EXECUTE event with no properties.

### stopAnimation

    public void stopAnimation()

  Stops the animation by deleting the timer and fires mxEvent.DONE.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.